package io.axcelinno.policyquotecalc;

/**
 * This class was automatically generated by the data modeler tool.
 */

public class Driver implements java.io.Serializable {

	static final long serialVersionUID = 1L;

	@org.kie.api.definition.type.Label("Age")
	private java.lang.Integer age;
	@org.kie.api.definition.type.Label("Credit Score")
	private java.lang.Integer creditScore;
	@org.kie.api.definition.type.Label("DL Number")
	private java.lang.String dlNumber;
	@org.kie.api.definition.type.Label("Driver Name")
	private java.lang.String driverName;
	@org.kie.api.definition.type.Label("Number of Accidents")
	private java.lang.Integer numberOfAccidents;
	@org.kie.api.definition.type.Label("Number of Tickets")
	private java.lang.Integer numberOfTickets;
	@org.kie.api.definition.type.Label("SSN")
	private java.lang.String ssn;

	@org.kie.api.definition.type.Label(value = "State")
	private java.lang.String state;

	@org.kie.api.definition.type.Label(value = "Yearly Income")
	private java.lang.Integer yearlyIncome;

	public Driver() {
	}

	public java.lang.Integer getAge() {
		return this.age;
	}

	public void setAge(java.lang.Integer age) {
		this.age = age;
	}

	public java.lang.Integer getCreditScore() {
		return this.creditScore;
	}

	public void setCreditScore(java.lang.Integer creditScore) {
		this.creditScore = creditScore;
	}

	public java.lang.String getDlNumber() {
		return this.dlNumber;
	}

	public void setDlNumber(java.lang.String dlNumber) {
		this.dlNumber = dlNumber;
	}

	public java.lang.String getDriverName() {
		return this.driverName;
	}

	public void setDriverName(java.lang.String driverName) {
		this.driverName = driverName;
	}

	public java.lang.Integer getNumberOfAccidents() {
		return this.numberOfAccidents;
	}

	public void setNumberOfAccidents(java.lang.Integer numberOfAccidents) {
		this.numberOfAccidents = numberOfAccidents;
	}

	public java.lang.Integer getNumberOfTickets() {
		return this.numberOfTickets;
	}

	public void setNumberOfTickets(java.lang.Integer numberOfTickets) {
		this.numberOfTickets = numberOfTickets;
	}

	public java.lang.String getSsn() {
		return this.ssn;
	}

	public void setSsn(java.lang.String ssn) {
		this.ssn = ssn;
	}

	public java.lang.String getState() {
		return this.state;
	}

	public void setState(java.lang.String state) {
		this.state = state;
	}

	public java.lang.Integer getYearlyIncome() {
		return this.yearlyIncome;
	}

	public void setYearlyIncome(java.lang.Integer yearlyIncome) {
		this.yearlyIncome = yearlyIncome;
	}

	public Driver(java.lang.Integer age, java.lang.Integer creditScore,
			java.lang.String dlNumber, java.lang.String driverName,
			java.lang.Integer numberOfAccidents,
			java.lang.Integer numberOfTickets, java.lang.String ssn,
			java.lang.String state, java.lang.Integer yearlyIncome) {
		this.age = age;
		this.creditScore = creditScore;
		this.dlNumber = dlNumber;
		this.driverName = driverName;
		this.numberOfAccidents = numberOfAccidents;
		this.numberOfTickets = numberOfTickets;
		this.ssn = ssn;
		this.state = state;
		this.yearlyIncome = yearlyIncome;
	}

}